# Improving Performance

This chapter describes how to improve the performance of the GNOME Desktop.

## Introduction to Improving Performance

This chapter lists several preferences whose settings you can change to improve the performance of the GNOME Desktop. You can use the `gconftool-2` command to set values for preferences for users. The example commands in this chapter show how to set values in the user configuration source.

You can also use the `--direct` and `--config-source` options to set mandatory values or default values for preferences. You can also use the `gconftool-2` command in a script to set the values of many preferences. For more information on the `gconftool-2` command and the options that are available with the command, see .

## Reducing CPU Usage

This section describes preferences that you can set to reduce CPU usage by the GNOME Desktop.

### To Use Theme Options Which Require Less CPU Resources

Some window frame theme options load image files to draw the window frame. Other options use simpler techniques to draw the window frame.

The Crux window frame option loads image files, and can be slow on systems with limited CPU resources. To reduce CPU usage, use one of the following window frame options:

- Atlanta

- Esco

The following window frame options also use less CPU resources than Crux:

- AgingGorilla

- Bright

- Metabox

Metabox does not work well with inverse controls options such as HighContrastInverse. Use Atlanta with inverse controls options.

To change the window frame theme option, run the following command:

    gconftool-2 \
    --type string \
    --set /apps/metacity/general/theme option-name

For example, to use Atlanta, run the following command:

    gconftool-2 \
    --type string \
    --set /apps/metacity/general/theme Atlanta

Alternatively, users can use the Theme preference tool to select the appropriate option.

You can use the Metacity Theme Viewer to measure the performance of a window frame option, and to preview the option. To start Metacity Theme Viewer, use the following command:

    metacity-theme-viewer option-name

For example, to measure the performance of Atlanta and preview Atlanta, run the following command:

    metacity-theme-viewer Atlanta

### To Reduce CPU Usage by Turning Off Display of Icons in Menus

Some items in menus display an icon beside the item. To turn off this feature, run the following command:

    gconftool-2 \
    --type bool \
    --set /desktop/gnome/interface/menus_have_icons false

Alternatively, users can use the Menus & Toolbars preference tool to deselect the Show icons in menus option.

### To Reduce CPU Usage by Turning Off the Splash Screen

By default, when users log in to the desktop environment, a splash screen is displayed. Icons are displayed on the splash screen while the user logs in. You can turn off the splash screen to reduce CPU usage during login.

To turn off the splash screen, run the following command:

    gconftool-2 \
    --type bool \
    --set /apps/gnome-session/options/show_splash_screen false

Alternatively, users can use the Sessions preference tool to deselect the Show splash screen on login option.

### To Reduce CPU Usage by Turning Off Panel Animation

When users show or hide panels, the panels can show or hide in an animated style. To turn off panel animation, run the following command:

    gconftool-2 \
    --type bool \
    --set /apps/panel/global/enable_animations false

Alternatively, users can use the Panel preference tool to deselect the Drawer and panel animation option.

### Improving File Manager Performance

The Nautilus file manager includes some features that you can modify to improve performance.

#### To Modify Performance Preferences

The file manager includes performance-related preferences. Each performance preference can take one of three values. The values are described in the following table:

Value | Description
--- | ---
`always` | Performs the action for both local files, and files on other file systems.
`local_only` | Performs the action for local files only. When you set a performance preference to `local_only`, the CPU usage is reduced.
`never` | Never performs the action. When you set a performance preference to never, the CPU usage and the network traffic are reduced.

The following table describes the performance preferences for the file manager. For the fastest performance, set the value of the preferences to `never`.

Preference | Description
--- | ---

`show_icon_text`

Specifies when to preview the content of text files in the icon that represents the file. To never preview the content of text files, run the following command:

    gconftool-2 \
    --type string \
    --set /apps/nautilus/preferences/show_icon_text never

Alternatively, users can perform the following steps:

1. Choose Edit Preferences from a file manager window, then choose Preview.

2. Select an option for the Show text in icons preference.

`show_directory_item_counts`

Specifies when to show the number of items in folders. To never show the number of items in folders, run the following command:

    gconftool-2 \
    --type string \
    --set /apps/nautilus/preferences/show_directory_item_counts never

Alternatively, users can perform the following steps:

1. Choose Edit Preferences from a file manager window, then choose Preview.

2. Select an option for the Count number of items preference.

`show_image_thumbnails`

Specifies when to show thumbnails of image files. To never show thumbnails, run the following command:

    gconftool-2 \
    --type string \
    --set /apps/nautilus/preferences/show_image_thumbnails never

Alternatively, users can perform the following steps:

1. Choose Edit Preferences from a file manager window, then choose Preview.

2. Select an option for the Show thumbnails preference.

`preview_sound`

Specifies when to preview the content of sound files. To never preview the content of sound files, run the following command:

    gconftool-2 \
    --type string \
    --set /apps/nautilus/preferences/preview_sound never

Alternatively, users can perform the following steps:

1. Choose Edit Preferences from a file manager window, then choose Preview.

2. Select an option for the Preview sound files preference.

#### To Turn Off the Side Pane, Toolbar, and Location Bar

The file manager includes preferences that enable you to turn off the side pane and the toolbar. To improve file manager performance, turn off the side pane and the toolbar.

To turn off the side pane, run the following command:

    gconftool-2 \
    --type bool \
    --set /apps/nautilus/preferences/start_with_sidebar false

To turn off the toolbar, run the following command:

    gconftool-2 \
    --type bool \
    --set /apps/nautilus/preferences/start_with_toolbar false

You can also turn off the location bar. Users can use the Ctrl L keyboard shortcut to display a location bar when required.

To turn off the location bar, run the following command:

    gconftool-2 \
    --type bool \
    --set /apps/nautilus/preferences/start_with_location_bar false

#### To Turn Off the Desktop

The file manager contains a preference that enables users to use Nautilus to manage the desktop. You can disable the desktop to improve performance. However, if you disable the desktop, you cannot do the following:

- Use the Desktop menu.

- Use the file manager to change the pattern or color of the desktop background.

- Use the desktop objects, such as Trash. The desktop objects are not displayed on the desktop.

To disable the desktop, run the following command:

    gconftool-2 \
    --type bool \
    --set /apps/nautilus/preferences/show_desktop false

## Reducing X Window System Network Traffic

This section describes preferences that you can set to reduce X Window System network traffic on the GNOME Desktop.

### To Use Theme Options Which Create Less Network Traffic

Remote display protocols do not transfer every pixel in a block of pixels if all pixels in the block are the same color.

To reduce X Window System network traffic, use a window frame theme option that uses solid colors. That is, use one of the following window frame options:

- Atlanta

- Esco

For information on how to change theme options, see .

### To Reduce Network Traffic by Turning Off Display of Icons in Menus

Some items in menus display an icon beside the item. If the icon is located on another file system, this feature can increase X Window System network traffic. This feature can also increase X Window System network traffic if the panels are displayed on a remote host.

For information on how to turn off this feature, see .

## Reducing Color Usage and Improving Display Quality

Many modern computer systems support 24-bit color, that is, 16,777,216 colors. However, many users still use systems that support 8-bit color, that is, 256 colors.

The GNOME Desktop uses the websafe color palette. This palette is a general-purpose palette of 216 colors, which is designed to optimize the use of color on systems that support 8-bit color. However, some visual components of the GNOME Desktop are designed for systems that support 24-bit color.

The following display problems might occur on systems that support 8-bit color:

- Windows, icons, and background images might appear grainy. Many themes, background images, and icons use colors that are not in the websafe color palette. The colors that are not in the palette are replaced with the nearest equivalent or a dithered approximation. This use of replacement colors causes the grainy appearance.

- Applications that do not use the websafe color palette have less colors available. Color errors might occur. Some colors might not appear in the user interface of the application. Some applications might crash if the application cannot allocate colors.

- Color flashing might occur when users switch between applications that use the websafe color palette, and applications that do not use this palette. The applications that do not use the websafe color palette might use a custom colormap. When the custom colormap is used, other visual components might lose colors, then become unviewable.

The following sections describe how to optimize the appearance of the GNOME Desktop for systems that support 8-bit color.

### To Use Theme Options That Use the Websafe Color Palette

Some window frame theme options use colors that are in the websafe color palette. Bright and Esco use colors from the websafe color palette. Bright and Esco do not have the grainy appearance of other window frame options on 8-bit color displays. Use Bright or Esco for the best color display on 8-bit visual modes.

For information on how to change theme options, see .

### To Reduce Color Usage by Turning Off Display of Icons in Menus

Some items in menus display an icon beside the item. If the icon contains colors that are not in the websafe color palette, this feature can increase the number of colors used.

For information on how to turn off this feature, see .

### To Reduce Color Usage by Turning Off the Splash Screen

You can turn off the splash screen to make more colors available for the GNOME Desktop and for applications.

For information on how to turn off the splash screen, see .

### To Reduce Color Usage by Using a Solid Color for the Background

Use a solid color for the desktop background. Use of a solid color reduces the number of colors used by the GNOME Desktop.

To set a solid color for the background, run the following commands:

    gconftool-2 \
    --type string \
    --set /desktop/gnome/background/picture_options none

    gconftool-2 \
    --type string \
    --set /desktop/gnome/background/color_shading_type solid

    gconftool-2 \
    --type string \
    --set /desktop/gnome/background/primary_color #hexadecimal-color

Alternatively, users can use the Background preference tool to choose a solid color for the background.